package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.BaseExample;
import com.lightinit.hsdataplatform.entity.Requirement;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.RequirementMicroappDataModel;
import com.lightinit.hsdataplatform.model.admin.RequirementMicroappSearchModel;

import java.io.IOException;
import java.util.List;

/**
 * Created by herbert on 2018/5/26.
 */
public interface IRequirementMicroappService {
    List<Requirement> queryList(RequirementMicroappSearchModel inputModel, BaseExample.Page pager) throws IOException;

    long queryCount(RequirementMicroappSearchModel inputModel);

    RequirementMicroappDataModel  info(long id);

    ResultState<Long> delete(long id);
}
